﻿@model AHCBL.Dto.Admin.ItemListDto
@{
    ViewBag.Title = "Order_buy_point";
    Layout = "~/Views/Shared/_Layout_Product.cshtml";
}
@using (Html.BeginForm())
{
    @Html.AntiForgeryToken()
    <div class="width1100" style="margin-top:15px; text-align:center" data-aos="fade-up" data-aos-duration="2000">
        <p class="pTit">포인트 충전</p>
        <div class="tabWrap">
            <ul>
                <li class="tab02 on"><a href="@Url.Action("order_buy_point","Order")" )"><span>충전</span></a></li>
                <li class="tab02 on"><a href="@Url.Action("order_withdraw_point","Order")"><span>출금</span></a></li>
                <li class="tab02 on"><a href="@Url.Action("order_list_point","Order")"><span>내역</span></a></li>
            </ul>
        </div>
        <input type="hidden" id="id" value="@Html.DisplayFor(model => model.id)" />
        <input type="hidden" id="price" />
        <input type="hidden" id="product_amt" value="@ViewBag.product_amt" />
        <div class="pTable">
            <form name="order_apply_form" id="order_apply_form" class="form-horizontal" method="post">
                <p class="th">현재 보유 포인트</p>
                <p class="td">
                    <input type="text" class="in100c" value="@ViewBag.amount Point" readonly>
                </p>
                <div class="widthL">
                    <p class="th">포인트 충전</p>
                    <p class="td">
                        @Html.DropDownList("product_qty", ViewBag.product_qty as SelectList, new { @style = "max-width:100%;width: 100%;height: 45px;background: #fff;color: #000;border: none; border-radius: 5px;appearance: auto;" })

                    </p>
                </div>
                <div class="widthR">
                    <p class="th">결제수단</p>
                    <p class="td">
                        <select name="pay_type" id="pay_type" style="max-width:100%;width: 100%;height: 45px;background: #fff;color: #000;border:none; border-radius: 5px;appearance: auto;">
                            <option value="2" selected>계좌이체</option>
                        </select>
                    </p>
                </div>
                <div class="clearfix"></div>

                <p class="th">합계</p>
                <p class="td basic">
                    <span id="total_amt"> 0 원</span>
                </p>
                <div class="account_box">
                    <p class="th">회사 계좌정보</p>
                    <p class="td basic">
                        <input style="height:45px; width:30%" class="td basic tNone" value="@ViewBag.bank_info" >
                        <input style="height:45px; width:30%" class="td basic tNone copy_bank" value="@ViewBag.bank_acc" >
                        <input style="height:45px; width:30%" class="td basic tNone" value="@ViewBag.txt1" >
                    </p>
                    <button class="btn btnCa copy">copy</button>
                </div>
                <p class="th">임금자명 또는 TXID</p>
                <p class="td">
                    <input type="text" class="in100 motion" id="buy_name" placeholder="입금자명 또는 TXID" style="text-align:center;">
                </p>
                <div class="alert">
                    <strong>※ 충전안내 ※</strong><br>
                    포인트 @ViewBag.exchange 개는 @ViewBag.product_amt 원 입니다.
                    <br>
                    기본구매는 300개 이상(100단위)
                    <br>
                    1,000개 까지 구매 가능합니다.
                    <br>
                    충전시에는 포인트 갯수에
                    <br>
                    맞춰서 입금하세요.
                </div>

                <div class="btnWrap">
                    <button class="btnOk" type="button" onclick="doAction()">확인</button>
                    <a href="@Url.Action("Index", "Main")" class="btnCa">취소</a>
                </div>
            </form>
        </div>
    </div>
}

<script type="text/javascript">
    document.querySelector(".copy").addEventListener("click", copyText);
    function copyText() {
        var copyText = document.querySelector(".copy_bank");
        copyText.select();
        copyText.setSelectionRange(0, 99999);
        document.execCommand("copy");
        alert("복사 된 텍스트 : " + copyText.value);
    }
</script>
<script>
    $(document).ready(function () {

        $("#product_qty").change(function () { setAmt(); });
        $("#pay_type").change(function () { setAmt(); });
        setAmt();

    });

    function setAmt() {

        var amt = parseFloat($("#product_amt").val());
        var qty = parseInt($("#product_qty").val());
        var pay_type = $("#pay_type").val();

        var tot_won = amt * qty;
        $("#total_amt").text(addCommas(tot_won) + "원");
        $("#price").val(tot_won);
        if (pay_type == "2") { // 계좌이체
            $("#coin_qty").val(0);
            $(".account_box").show();
            $(".coin_box").hide();
        }
    }

    function doValidate() {

        if ($.trim($("#buy_name").val()) == "") {
            alert("입금자명를 입력해 주세요.");
            $("#buy_name").focus();
            return false;
        }

        return true;
    }

    function doAction() {
        if (doValidate()) {
            if (confirm("충전 하시겠습니까?")) {
                var buy_name = $("#buy_name").val();
                var amount = parseInt($("#product_qty").val());
                var price = $("#price").val();
                var point = @ViewBag.amount;
                var pay_type = $("#pay_type").val();
                //alert(1); return;


                $.ajax({
                    type: "POST",
                    url: "/Order/BuyChip",
                    data: "{'buy_name':'" + buy_name + "','point':" + point + ",'amount':" + amount + ",'price':" + price + ",'pay_type':" + pay_type + "}",
                    contentType: "application/json; charset=utf-8",
                    dataType: "json",
                    success: function (msg) {
                        alert(msg);
                        //location.reload();
                        location.href = "/Main";
                    }
                });

                //$("#cmd").val("/view/order/order_charge_point_process.json");

                ////						$("#order_apply_form").attr("action", "../../frame/order/orderController.asp").submit();

                //$.mvcAjax({
                //    url: "../../frame/order/orderController.asp",
                //    data: $("#order_apply_form").serialize(),
                //    success: function (data) {
                //        var result = data.RESULT;
                //        if (result.CODE == 1) {
                //            alert("꿀벌 충전이 신청되었습니다.");
                //            location.href = "./order_buy_point.asp";
                //        } else
                //            alert(result.MESSAGE);
                //    }
                //});

            }
        }
    }

</script>